Bug 727052 - SELinux is preventing /bin/systemctl from using the 'signal' accesses on a process.
Summary: SELinux is preventing /bin/systemctl from using the 'signal' accesses on a pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:af5c0cde206...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-01 07:47 UTC by Wouter De Borger
Modified: 2011-09-07 00:19 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-38.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:19:03 UTC


Attachments (Terms of Use)

Description Wouter De Borger 2011-08-01 07:47:07 UTC
ifup and ifdown are hanging

SELinux is preventing /bin/systemctl from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemctl should be allowed signal access on processes labeled systemd_passwd_agent_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemctl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023
Target Context                unconfined_u:system_r:systemd_passwd_agent_t:s0-s0
                              :c0.c1023
Target Objects                Unknown [ process ]
Source                        systemctl
Source Path                   /bin/systemctl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-units-26-8.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-34.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.38.8-35.fc15.x86_64 #1 SMP Wed Jul 6 13:58:54
                              UTC 2011 x86_64 x86_64
Alert Count                   3
First Seen                    Mon 01 Aug 2011 09:26:49 AM CEST
Last Seen                     Mon 01 Aug 2011 09:31:10 AM CEST
Local ID                      6827c966-fd07-4c5b-99d4-6d424187f4e5

Raw Audit Messages
type=AVC msg=audit(1312183870.174:1071): avc:  denied  { signal } for  pid=26887 comm="systemctl" scontext=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 tcontext=unconfined_u:system_r:systemd_passwd_agent_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1312183870.174:1071): arch=x86_64 syscall=kill success=no exit=EACCES a0=6908 a1=12 a2=d a3=0 items=0 ppid=26828 pid=26887 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=1 comm=systemctl exe=/bin/systemctl subj=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 key=(null)

Hash: systemctl,dhcpc_t,systemd_passwd_agent_t,process,signal

audit2allow

#============= dhcpc_t ==============
allow dhcpc_t systemd_passwd_agent_t:process signal;

audit2allow -R

#============= dhcpc_t ==============
allow dhcpc_t systemd_passwd_agent_t:process signal;

Comment 1 Miroslav Grepl 2011-08-01 13:15:54 UTC
What does

# ls -Z /bin/systemctl

# matchpathcon /bin/systemctl

Comment 2 Wouter De Borger 2011-08-01 13:35:10 UTC
$ ls -Z /bin/systemctl
-rwxr-xr-x. root root system_u:object_r:systemd_systemctl_exec_t:s0 /bin/systemctl
$ matchpathcon /bin/systemctl
/bin/systemctl	system_u:object_r:systemd_systemctl_exec_t:s0

Comment 3 Daniel Walsh 2011-08-02 19:05:40 UTC
I added this rule to F16 policy.

Comment 4 Miroslav Grepl 2011-08-04 08:56:13 UTC
Fixed in selinux-policy-3.9.16-37.fc15

Comment 5 Fedora Update System 2011-08-05 14:00:23 UTC
selinux-policy-3.9.16-37.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-37.fc15

Comment 6 Fedora Update System 2011-08-05 23:56:25 UTC
Package selinux-policy-3.9.16-37.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-37.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-37.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-08-12 18:20:31 UTC
Package selinux-policy-3.9.16-38.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-38.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-38.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-07 00:17:44 UTC
selinux-policy-3.9.16-38.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.